# WOK
TKWOK
WOKernel

# WOKernel_UnitGraph Class Reference

`#include <WOKernel_UnitGraph.hxx>`

## Public Member Functions

Standard_EXPORT | WOKernel_UnitGraph (const Handle(WOKernel_Workbench)&awb)
Standard_EXPORT | WOKernel_UnitGraph (const Handle(WOKernel_Locator)&alocator)
Standard_EXPORT Standard_Boolean | Contains (const Handle(TCollection_HAsciiString)&aname) const
Standard_EXPORT void | Add (const Handle(TCollection_HAsciiString)&aname, const Handle(TColStd_HSequenceOfHAsciiString)&suppliers)
Standard_EXPORT void | Add (const Handle(TCollection_HAsciiString)&aname, const Handle(TCollection_HAsciiString)&asupplier)
Standard_EXPORT void | Remove (const Handle(TCollection_HAsciiString)&aname)
Standard_EXPORT const Handle_TColStd_HSequenceOfHAsciiString & | Suppliers (const Handle(TCollection_HAsciiString)&aname) const
Standard_EXPORT Handle_WOKernel_Locator | Locator () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_WOKernel_Locator | mylocator
WOKTools_DataMapOfHAsciiStringOfHSequenceOfHAsciiString | myUDMap

## Constructor & Destructor Documentation

Standard_EXPORT WOKernel_UnitGraph::WOKernel_UnitGraph | ( | const Handle(WOKernel_Workbench)& | awb | ) |

Standard_EXPORT WOKernel_UnitGraph::WOKernel_UnitGraph | ( | const Handle(WOKernel_Locator)& | alocator | ) |

## Member Function Documentation

Standard_EXPORT void WOKernel_UnitGraph::Add | ( | const Handle(TCollection_HAsciiString)& | aname,
|  | const Handle(TCollection_HAsciiString)& | asupplier
| ) |

Standard_EXPORT void WOKernel_UnitGraph::Add | ( | const Handle(TCollection_HAsciiString)& | aname,
|  | const Handle(TColStd_HSequenceOfHAsciiString)& | suppliers
| ) |

Standard_EXPORT Standard_Boolean WOKernel_UnitGraph::Contains | ( | const Handle(TCollection_HAsciiString)& | aname | ) | const

Standard_EXPORT const WOKernel_UnitGraph::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Handle_WOKernel_Locator WOKernel_UnitGraph::Locator | ( |  | ) | const

Standard_EXPORT void WOKernel_UnitGraph::Remove | ( | const Handle(TCollection_HAsciiString)& | aname | ) |

Standard_EXPORT const Handle_TColStd_HSequenceOfHAsciiString& WOKernel_UnitGraph::Suppliers | ( | const Handle(TCollection_HAsciiString)& | aname | ) | const

## Field Documentation

Handle_WOKernel_Locator WOKernel_UnitGraph::mylocator `[private]`

WOKTools_DataMapOfHAsciiStringOfHSequenceOfHAsciiString WOKernel_UnitGraph::myUDMap `[private]`

The documentation for this class was generated from the following file:

- WOKernel_UnitGraph.hxx